:root {

    /* UI element colours */
    --colour-background: black;
    --colour-body: white;
    --colour-header: rgba(255,255,255,1.0);
    --colour-footer: rgba(255,255,255,1.0);
    --colour-text: #021F2E;
    --colour-primaryaccents: #1D4A5C; 
    --colour-secondaryaccents: #38838F;
    --colour-tertiaryaccents: #B20109;
    --colour-navMenu: rgba(255,255,255,0.85);
    --colour-navMobileSubMenu: rgba(56,131,143,0.85);
    --colour-navWideScreenSubMenu: rgba(255,255,255,0.85);
}

.content {
    width: 100%;
}

header {
    width: 100%;
    margin: 0;
    padding: 0;
    border-bottom: 1px solid var(--colour-primaryaccents);
}

.container {
    display: flex;
    flex-flow: column nowrap;
    flex: 1 1 auto;
    align-self: center;
    align-content: center;
    justify-content: center;
    height: max-content;
    width: 100%
}

.form-body {
    background-color: rgba(255,255,255,0.75);
    width: clamp(275px,35rem,100%);
    margin: 0 auto;
    padding: 0 0.5rem;
    height: max-content;
}

h1.main-header-heading {
    margin: 1rem;
    text-align: center;
    font-size: clamp(1.25em,3.5vw,1.5em);
}

p.error-notice {
    text-align: center;
    color: red;
    background-color: rgba(255,0,0,0.25);
    font-weight: 700;
    margin: 1rem 1rem;
    padding: 1rem 0rem;
}

.form-input-inline {
    margin: 1rem 0.5rem 0 0.5rem;
}

.form-input-label {
    font-weight: 700;
}

.text-field {
    width: 100%;
    margin: 0.25rem 0;
    padding: 0.25rem;
}

.radio-button-group {
    width: 96%;
    margin: 0 1rem;
    padding: 1rem;
    border: 0.5px solid silver;
}

.radio-button-label {
    margin-left: 0.5rem;
    padding: 0;
}

.linkInline {
    color: var(--colour-tertiaryaccents);
    font-weight: 600;
}

.div_selections {
    padding: 0.5rem 0;
}

.radio-button {
    margin-left: 0.25rem;
    margin-right: 0.4rem;
    padding: 0;
}

.flex-justify-start-column-nowrap {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: start;
    flex: 0 0 auto;
}

.flex-centering-row-nowrap {
    display: flex;
    flex-flow: row nowrap;
    align-content: center;
    flex: 0 0 auto;
}


.flex-centering-column-nowrap {
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    flex: 0 0 auto;
}

.flex-justify-end {
    justify-content: flex-end;
}

.flex-space-between {
    justify-content: space-between;
}

.flex-space-around {
    justify-content: space-around;
}

.flex-align-self-end {
    align-self: flex-end;
}

.g-recaptcha {
    position: relative;
    width: max-content;
    margin: 0 auto;
}

p.alert-notice {
    text-align: center;
    color: red;
    background-color: rgba(255,0,0,0.25);
    font-weight: 700;
    margin: 1rem 1rem;
    padding: 1rem 0rem;
}

.submit-button {
    position: relative;
    width: auto;
    margin: 1rem auto;
    padding: 1rem 1.5rem;
    color: var(--colour-text);
    font-size: 1.25rem;
    font-weight: 700;
}

#submit:disabled:hover, #submit:disabled:hover .button-text {
  cursor: not-allowed;
}

#submit, #submit .button-text {
  cursor: pointer;
}

p#privacy-policy {
    text-align: center;
    font-size: 1rem;
    padding: 0 0 1rem 0;
}

footer {
    width: 100%;
}

.main-footer-heading {
    text-align: center;
    margin: 0;
    padding: 0.5rem 0;
    font-size: clamp(1.25em,3.5vw,1.5em);
}

input.text-field:valid {
    font-weight: 700;
}

input:user-invalid {
    background-color: rgba(255, 150, 216, 0.8);
}

div.confirmation-body {
    background-color: rgba(255,255,255,0.75);
    width: clamp(275px,35rem,100%);
    margin: 0;
    padding: 0 1.5rem;
    align-self: stretch;
}

.confirmation-header {
    margin: 0;
    padding: 1rem 0;
    text-align: center;
    font-size: clamp(1.5rem,2.5vw,1.75em);
    max-width: 100%;
}
/* EMAIL STYLES */
    figure {
        margin: 0 auto;
        padding: 0;
    }
    .portrait-image {
        margin: 1rem;
        padding: 0;
    }
    .portrait-caption {
        text-align: center;
        margin: 0 1rem;
        padding: 0 1rem 1rem 1rem;
    }

p.confirmation {
    margin: 0;
    padding: 0 1rem;
    line-height: 1.25rem;
    max-width: 100%;
}

.confirmation-footer {
    position: relative;
    margin: 0 auto;
    padding: 1rem 0;
    text-align: center;
    font-size: clamp(1.5rem,2.5vw,1.75em);
    max-width: 100%;
}

/* HOUSE AREA CALCULATOR STYLE */
/* MAIN HEADER */
.mainHeaderHouseCalc {
    position: relative;
    width: 100%;
    height: 40vh;
    min-height: 150px;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.image_mainHeaderHouseCalc {
    width: 100%;
    height: 40vh;
    min-height: 275px;
    object-fit: cover;
    margin: 0;
    padding: 0;
    z-index: -5;
}

.imageOverlay_mainHeaderHouseCalc {
    box-sizing: border-box;
    position: absolute;
    top: 0;
    width: 80%;
    height: 100%;
    background: rgba(0,0,0,0.6);
    margin: 0 auto;
    padding: 0 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: -4;
}

@media (max-width: 730px) {
.imageOverlay_mainHeaderHouseCalc {
    width: 90%;
}
}

.imageOverlayWide_mainHeaderHouseCalc {
    width: 100%;
}

.heading_mainHeaderHouseCalc {
    font-size: clamp(1.25rem,7.5vw,2rem);
    font-weight: 600;
    color: white;
    text-align: center;
    width: 100%;
    max-width: 40ch;
    border-bottom: 1px solid;
    padding: 1rem 0.25rem 0.5rem 0.25rem;
    margin: 0 auto;
    z-index: 1;
}

.subtext_mainHeaderHouseCalc {
    width: 100%;
    max-width: 40ch;
    text-align: center;
    font-size: clamp(1.15rem,4.5vw,1.65rem);
    color: white;
    padding: 1rem 0.25rem 1.5rem 0.25rem;
    margin: 0 auto;
    z-index: 1;
}

.formBodyHouseCalc {
    width: clamp(275px,35rem,100%);
    margin: 0 auto;
    padding: 0 0.5rem;
    height: max-content;
}

.containerHouseCalc {
    background-color: rgba(255,255,255,0.75);
    display: flex;
    flex-flow: column nowrap;
    flex: 1 1 auto;
    align-self: center;
    align-content: center;
    justify-content: center;
    height: max-content;
    width: 100%;
    padding: 1rem;
}

.fieldsetForm {
    align-self: center;
    width: 100%;
    display: flex;
    flex-flow: column nowrap;
    flex: 0 0 100%;
    align-content: center;
    justify-content: center;
}

.labelFieldset {
    font-weight: 700;
    margin: 0 auto;
    padding: 0 0.25rem;
}

.alignCenterFlexColumn {
    align-self: center;
    margin: 0 auto;
}

.rowFormInput {
    text-align: right;
    font-size: clamp(0.9rem,4vw,1.25rem);
    padding: 0.25rem 0 .25rem 0;
}

.rowFormTotal {
    width: 100%;
    text-align: right;
    font-size: clamp(1.15rem,4vw,1.5rem);
    padding: 0.5rem 0 .5rem 0;
}

.labelFormInput {
    font-weight: 700;
}

.countFormField {
    width: 4ch;
    text-align: center;
}

.areaFormField {
    width: 5ch;
    text-align: center;
}

.areaTotalFormField {
    text-align: center;
    margin: 0;
    padding: 0.5rem;
}

.calculated {
    color: var(--colour-tertiaryaccents);
    background-color: white;
    border: 1px solid lightgrey;
    font-weight: 700;
}

.clear-button {
    position: relative;
    width: auto;
    margin: 0rem auto;
    padding: 1rem 1.5rem;
    color: var(--colour-text);
    text-decoration: none;
    font-size: 1.25rem;
    font-weight: 700;
}

/* MAIN FOOTER */
.mainFooter {
    position: relative;
    width: 100%;
    height: clamp(8rem,25vh,10rem);
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.image_mainFooter {
    width: 100%;
    height: clamp(8rem,25vh,10rem);
    object-fit: cover;
    margin: 0;
    padding: 0;
    z-index: -5;
}

.imageOverlay_mainFooter {
    box-sizing: border-box;
    position: absolute;
    top: 0;
    width: 80%;
    height: 100%;
    background: rgba(0,0,0,0.6);
    margin: 0;
    padding: 0 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: -4;
}

@media (max-width: 730px) {
.imageOverlay_mainFooter {
    width: 90%;
}
}

.imageOverlayWide_mainFooter {
    width: 100%;
}

.heading_mainFooter {
    font-size: clamp(1.25rem,6vw,2rem);
    font-weight: 600;
    color: white;
    text-align: center;
    width: 100%;
    margin: 0 auto;
}

@media only screen and (min-width: 525px) {
    
    #portrait-image {
        margin-left: 0;
        float: left;
    }

    #portrait-image {
        padding-right: 2.5rem;
    }

    .confirmation-footer {
        clear: both;
    }
}

/* BACKGROUND IMAGES */
.backImageHouseCalc {
    background: center / cover no-repeat url('../images/build/gallery/homes/cozy-on-the-river/WEBP/1000/house-builder-muskoka_1.webp');
}
.backImageHomeCalc {
    background: no-repeat center/cover url('../images/cost/calculators/WEBP/1000/home-build-cost-calculator.webp');
}
.backImageGarageCalc {
    background: no-repeat center/cover url('../images/cost/calculators/WEBP/1000/garage-build-cost-calculator.webp');
}
.backImageBoathouseCalc {
    background: no-repeat bottom/cover url('../images/cost/calculators/WEBP/1000/boathouse-build-cost-calculator.webp');
}

@media
only screen and (min-width: 1000px) {
    .backImageHouseCalc {
        background: center / cover no-repeat url('../images/build/gallery/homes/cozy-on-the-river/WEBP/2000/house-builder-muskoka_1.webp');
    }
    .backImageHomeCalc {
        background: no-repeat center/cover url('../images/cost/calculators/WEBP/2000/home-build-cost-calculator.webp');
    }
    .backImageGarageCalc {
        background: no-repeat center/cover url('../images/cost/calculators/WEBP/2000/garage-build-cost-calculator.webp');
    }
    .backImageBoathouseCalc {
        background: no-repeat bottom/cover url('../images/cost/calculators/WEBP/2000/boathouse-build-cost-calculator.webp');
    }
}

@media
only screen and (min-width: 2000px) {
    .backImageHouseCalc {
        background: center / cover no-repeat url('../images/build/gallery/homes/cozy-on-the-river/WEBP/4000/house-builder-muskoka_1.webp');
    }
    .backImageHomeCalc {
        background: no-repeat center/cover url('../images/cost/calculators/WEBP/4000/home-build-cost-calculator.webp');
    }
    .backImageGarageCalc {
        background: no-repeat center/cover url('../images/cost/calculators/WEBP/4000/garage-build-cost-calculator.webp');
    }
    .backImageBoathouseCalc {
        background: no-repeat bottom/cover url('../images/cost/calculators/WEBP/4000/boathouse-build-cost-calculator.webp');
    }
}

@media
only screen and ((min-width: 375px) and (-webkit-min-device-pixel-ratio: 2)),
only screen and ((min-width: 375px) and (   min--moz-device-pixel-ratio: 2)),
only screen and ((min-width: 375px) and (     -o-min-device-pixel-ratio: 2/1)),
only screen and ((min-width: 375px) and (        min-device-pixel-ratio: 2)),
only screen and ((min-width: 375px) and (                min-resolution: 192dpi)),
only screen and ((min-width: 375px) and (                min-resolution: 2dppx)) {
    .backImageHouseCalc {
        background: center / cover no-repeat url('../images/build/gallery/homes/cozy-on-the-river/WEBP/1500/house-builder-muskoka_1.webp');
    }
    .backImageHomeCalc {
        background: no-repeat center/cover url('../images/cost/calculators/WEBP/1500/home-build-cost-calculator.webp');
    }
    .backImageGarageCalc {
        background: no-repeat center/cover url('../images/cost/calculators/WEBP/1500/garage-build-cost-calculator.webp');
    }
    .backImageBoathouseCalc {
        background: no-repeat bottom/cover url('../images/cost/calculators/WEBP/1500/boathouse-build-cost-calculator.webp');
    }
}

@media
only screen and ((min-width: 1000px) and (-webkit-min-device-pixel-ratio: 2)),
only screen and ((min-width: 1000px) and (   min--moz-device-pixel-ratio: 2)),
only screen and ((min-width: 1000px) and (     -o-min-device-pixel-ratio: 2/1)),
only screen and ((min-width: 1000px) and (        min-device-pixel-ratio: 2)),
only screen and ((min-width: 1000px) and (                min-resolution: 192dpi)),
only screen and ((min-width: 1000px) and (                min-resolution: 2dppx)) {
    .backImageHouseCalc {
        background: center / cover no-repeat url('../images/build/gallery/homes/cozy-on-the-river/WEBP/2500/house-builder-muskoka_1.webp');
    }
    .backImageHomeCalc {
        background: no-repeat center/cover url('../images/cost/calculators/WEBP/2500/home-build-cost-calculator.webp');
    }
    .backImageGarageCalc {
        background: no-repeat center/cover url('../images/cost/calculators/WEBP/2500/garage-build-cost-calculator.webp');
    }
    .backImageBoathouseCalc {
        background: no-repeat bottom/cover url('../images/cost/calculators/WEBP/2500/boathouse-build-cost-calculator.webp');
    }
}

@media
only screen and ((min-width: 2000px) and (-webkit-min-device-pixel-ratio: 2)),
only screen and ((min-width: 2000px) and (   min--moz-device-pixel-ratio: 2)),
only screen and ((min-width: 2000px) and (     -o-min-device-pixel-ratio: 2/1)),
only screen and ((min-width: 2000px) and (        min-device-pixel-ratio: 2)),
only screen and ((min-width: 2000px) and (                min-resolution: 192dpi)),
only screen and ((min-width: 2000px) and (                min-resolution: 2dppx)) { 
    .backImageHouseCalc {
        background: center / cover no-repeat url('../images/build/gallery/homes/cozy-on-the-river/WEBP/4000/house-builder-muskoka_1.webp');
    }
    .backImageHomeCalc {
        background: no-repeat top/cover url('../images/cost/calculators/WEBP/4000/home-build-cost-calculator.webp');
    }
    .backImageGarageCalc {
        background: no-repeat center/cover url('../images/cost/calculators/WEBP/4000/garage-build-cost-calculator.webp');
    }
    .backImageBoathouseCalc {
        background: no-repeat bottom/cover url('../images/cost/calculators/WEBP/4000/boathouse-build-cost-calculator.webp');
    }
}